

.main-content-heder {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.main-content-heder  button{
    display: flex;
    justify-content: space-between;
    float: right;
}

.main-content-heder  a{
    text-decoration: none;
    color: black;
    margin-bottom: 20px;
}

.chat-list {
    width: 200px;
    background-color: #f0f0f0;
    border-right: 1px solid #ccc;
    width: 20%;
    padding: 10px;
    border-radius: 10px;
    margin-right: 10px;
}

.chat-list ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.chat-list li {
    padding: 10px;
    border-bottom: 1px solid #ccc;
    cursor: pointer;
}

.chat-list li:hover {
    background-color: #e0e0e0;
}

.chat-list li a {
    text-decoration: none;
    color: #333;
}

.chat-messages {
    height: 300px;
    overflow-y: scroll;
    padding: 10px;
    background-color: #f8f8f8;
}

.chat-messages {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding: 10px;
    background-color: #f8f8f8;
    overflow-y: auto;

    padding: 10px;
    border-radius: 10px;
}

.message {
    margin-bottom: 10px;
    padding: 8px;
    border-radius: 5px;
    max-width: 70%;
    word-wrap: break-word;
}

.message.sent {
    background-color: #dcf8c6;
    align-self: flex-end;
}


.message.received {
    background-color: #e5e5ea;
    align-self: flex-start;
}


.message-author {
    font-weight: bold;
    margin-right: 5px;
}

.chat-input {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: #f0f0f0;
    align-items: center;
    justify-content: flex-end;
    padding: 10px;
    border-radius: 10px;
}

.chat-input input {
    flex-grow: 1;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
    //width: 60vw;
    width: 40vw;
}

.chat-input button {
    margin-left: 10px;
    padding: 5px 10px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}





.chat-container {
    display: flex;
    height: 80vh;
}



.chat-window {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.chat-header
{
    margin: 20px 0px 20px 20px;
}




.message {
    display: flex;
    flex-direction: column;

}

.message-header {
    display: flex;
    align-items: center;
}

.sender-name {
    font-size: 12px;
    margin-right: 5px;
}

.message-body {
    font-size: 14px;
}

.message-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.message-time {
    font-size: 12px;
}


